Skip to main content
POST
Assign Record User

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

recordId
string
required

The ID of the Record to assign.

Example:

"777"

Body

application/json
assigneeUserId
string
required

The ID of the organization member to assign. Idempotent: re-assigning an existing member returns the existing assignment.

Response

The created (or existing) assignment.

An assignment of an organization member to a Record.

id
string
required

The ID of the record assignment.

recordId
string
required

The ID of the Record this assignment belongs to.

assigneeUserId
string
required

The ID of the organization member assigned to the Record.

assignedByUserId
string
required

The ID of the user who created the assignment.

createdAt
string
required

The ISO 8601 timestamp when the assignment was created.